LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Multilib current alien issue (http://www.linuxquestions.org/questions/slackware-14/multilib-current-alien-issue-866509/)

mmpl 03-04-2011 06:01 PM

Multilib current alien issue
 
Hello i have problem i installed slackware current straight(make iso from it and installed on clean disk) and i installed Multilib current from alien and now when i wanna compile wine source its write
"configure: OpenCL 32-bit development files not found, OpenCL won't be supported.
configure: libsane 32-bit development files not found, scanners won't be supported.
configure: gstreamer-0.10 base plugins 32-bit development files not found, gstreamer support disabled
configure: libcapi20 32-bit development files not found, ISDN won't be supported.
configure: libgsm 32-bit development files not found, gsm 06.10 codec won't be supported.
configure: libopenal 32-bit development files not found (or too old), OpenAL won't be supported.

configure: WARNING: prelink not found, base address of core dlls won't be set correctly.

configure: WARNING: GetText 32-bit development files not found (or too old). Internationalization won't be fully supported.

configure: Finished. Do 'make' to compile Wine."
I checked i got that libaries in /lib and /lib64 why it doesent work it was working on slackware 13.1 with multilib :(

sycamorex 03-04-2011 06:44 PM

If it's a stock slackware-current, you definitely miss dependencies as some of the libraries mentioned in your error message are definitely not part of the stock slackware (eg. openAL)
I'm sure all the libraries needed by wine are on slackbuilds.org

bonixavier 03-04-2011 07:36 PM

Besides being able to build all the deps from wine with Slackbuilds, you can also download their Slackware package that only has multilib as a dependency not already present in Slack, considering you made a full-install.

Edit: the link is for wine 1.3.11, they're already at 1.3.13. A little searching will find you the newest version.

mmpl 03-04-2011 09:34 PM

hmm installing from 32 bit slackpackage working reinstaling libaries from slackbuilds not in that way i only get prelink work but rest libaries dont work for exemple i installed gsm and i get this sbin/ldconfig: libraries libelf.so.0 and libelf-0.8.13.so in directory /usr/lib have same soname but different type.
Executing install script for gsm-1.0.13-x86_64-1_SBo.tgz.
Package gsm-1.0.13-x86_64-1_SBo.tgz installed. btw when i do multilib on 13.1 slack installing wine from source working straight i didnt do anything just works why:(?

sycamorex 03-05-2011 03:22 AM

Quote:

hmm installing from 32 bit slackpackage working reinstaling libaries from slackbuilds not in that way i only get prelink work but rest libaries dont work for exemple i installed gsm and i get this sbin/ldconfig: libraries libelf.so.0 and libelf-0.8.13.so in directory /usr/lib have same soname but different type.
I'm not sure I understand your sentence above. It's not really clear. I hope you are not trying to install those libraries for 32-bit architecture. You need to make sure the correct architecture, ie. x86_64 is specified in the slackbuild.
Quote:

btw when i do multilib on 13.1 slack installing wine from source working straight i didnt do anything just works why?
That's the beauty of running -current. LOL


All times are GMT -5. The time now is 04:51 PM.